package com.zipcodewilmington.productmanager;
import org.junit.Assert;
import org.junit.Test;

public class InventoryTest {

    @Test
    public void decreaseQuantity(){
        Product apples = new Product(12.99,1,3);
        Inventory inventory = new Inventory();
        int expectedOutput = 2;
        int numberSold = 1;

        //when
        int actualOutput = inventory.decreaseQuantity(apples, numberSold);

        //then
        Assert.assertEquals(expectedOutput, actualOutput);
    }

    @Test
    public void increaseQuantity(){
        Product apples = new Product(12.99,1,3);
        Inventory inventory = new Inventory();
        int expectedOutput = 4;
        int numberReceived = 1;

        //when
        int actualOutput = inventory.increaseQuantity(apples, numberReceived);

        //then
        Assert.assertEquals(expectedOutput, actualOutput);
    }

    @Test
    public void needReorder(){
        Product apples = new Product(12.99,1,1);
        Inventory inventory = new Inventory();
        boolean expectedOutput = true;

        //when
        boolean actualOutput = inventory.needReorder(apples);

        //then
        Assert.assertTrue(expectedOutput);

    }

    @Test
    public void sumOfInventory(){
        Product apples = new Product(5.00,1,1);
        Product oranges = new Product(5.00,1,1);
        Product [] fruit = {apples, oranges};
        Inventory inventory = new Inventory();
        double expectedOutput = 10.00;

        //when
        double actualOutput = inventory.sumOfInventory(fruit);

        //then
        Assert.assertEquals(expectedOutput, actualOutput, .001);

    }

}
